Debian Bug report logs - #465077
cron: mass bug filing for cross build support

version graph

Package: cron; Maintainer for cron is Javier Fernández-Sanguino Peña <jfs@debian.org>; Source for cron is src:cron.

Reported by: Neil Williams <codehelp@debian.org>

Date: Sun, 10 Feb 2008 14:36:01 UTC

Severity: wishlist

Tags: patch

Found in version cron/3.0pl1-103

Fixed in version cron/3.0pl1-107

Done: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#465077; Package cron. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cron: mass bug filing for cross build support
Date: Sun, 10 Feb 2008 14:34:08 +0000
[Message part 1 (text/plain, inline)]
Package: cron
Version: 3.0pl1-103
Severity: wishlist
Tags: patch
User: codehelp@debian.org
Usertags: crossbuilt

In line with the other cross-building support bugs:
http://lists.debian.org/debian-devel/2007/11/msg00116.html

This patch is necessary to allow cron to cross-build in Debian.

Thanks.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cron depends on:
ii  adduser                       3.105      add and remove users and groups
ii  debianutils                   2.28.3     Miscellaneous utilities specific t
ii  libc6                         2.7-6      GNU C Library: Shared libraries
ii  libpam0g                      0.99.7.1-5 Pluggable Authentication Modules l
ii  libselinux1                   2.0.35-1   SELinux shared libraries
ii  lsb-base                      3.1-24     Linux Standard Base 3.1 init scrip

Versions of packages cron recommends:
ii  exim4                         4.69-2     meta-package to ease Exim MTA (v4)
ii  exim4-daemon-light [mail-tran 4.69-2     lightweight Exim MTA (v4) daemon

-- no debconf information
[crossbuild.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
You have taken responsibility. (Tue, 16 Mar 2010 23:48:22 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Tue, 16 Mar 2010 23:48:22 GMT) Full text and rfc822 format available.

Message #10 received at 465077-close@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
To: 465077-close@bugs.debian.org
Subject: Bug#465077: fixed in cron 3.0pl1-107
Date: Tue, 16 Mar 2010 23:47:08 +0000
Source: cron
Source-Version: 3.0pl1-107

We believe that the bug you reported is fixed in the latest version of
cron, which is due to be installed in the Debian FTP archive:

cron_3.0pl1-107.diff.gz
  to main/c/cron/cron_3.0pl1-107.diff.gz
cron_3.0pl1-107.dsc
  to main/c/cron/cron_3.0pl1-107.dsc
cron_3.0pl1-107_i386.deb
  to main/c/cron/cron_3.0pl1-107_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 465077@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernandez-Sanguino Pen~a <jfs@debian.org> (supplier of updated cron package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Mar 2010 22:55:26 +0100
Source: cron
Binary: cron
Architecture: source i386
Version: 3.0pl1-107
Distribution: unstable
Urgency: low
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Changed-By: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Description: 
 cron       - process scheduling daemon
Closes: 465077 470587 482284 505288 511740 513379 535227 539182 546367 557659 563296 572249 572292
Changes: 
 cron (3.0pl1-107) unstable; urgency=low
 .
   * debian/cron.pam: Use common-session-noninteractive in pam.d configuration
     instead of common-session so that libpam-ssh is not run. If libpam-ssh was
     installed the previous configuration resulted in cron spawning
     many ssh-agent processes (Closes: #572292)
   * debian/cron.init: Add Should-Start/Stop dependency to slapd so that cron
   * can start up tasks for users define in an LDAP (Closes: #557659, #546367)
   * Fix the use of perror so that the error message is correct when
     printing the reason why an operation failed. Thanks to
     Justin Pryzby for the patch. (Closes: 470587)
   * pathnames.h: Use /usr/bin/sensible-editor instead of /usr/bin/editor when
     calling crontab -e (Closes: #482284)
   * Fix debian/control description, thanks to Justin B Rye for the patch
     (Closes: #535227)
   * crontab.c: Produce a different warning message when root tries to setup a
     crontab for a user that is not allowed to do so, and do not log the
     action (Closes: #505288)
   * Only allow -i if -r has been specified previously (Closes: #513379)
   * Update debian/README.Debian to indicate that the package is
     being maintained at Alioth, thanks Tomas Pospisek for the patch
     (Closes: #511740)
   * crontab.c: Update the usage() call so that it refers to the use
     of -i when removing (-r)
   * crontab.1: Update the manpage:
      - Use the same option listing as in the crontab usage() call
      - Remove 'tweaked', explain what -u does in each context.
      - Remove V3, use 'Vixie Cron' instead
     (Closes: #572249)
      - Update the manpage years (Closes: #563296)
      - Describe the usage of the crontab group wrt /var/spool/cron/crontabs
     (Closes: #539182)
   * Use debhelper compatibility version 5
   * Include cross build support with patch to debian/rules provided by Neil
     Williams  (Closes: #465077)
   * Change maintainer's email address
Checksums-Sha1: 
 6c0302de5e9a59b68f410658207349d758438fec 1056 cron_3.0pl1-107.dsc
 92c84ad3df0d374d5eb43b027e9d03d8dce3639a 74117 cron_3.0pl1-107.diff.gz
 882eff3e90989af966464425ff70424be916506d 83812 cron_3.0pl1-107_i386.deb
Checksums-Sha256: 
 09435be31fa02c5ced5836e68d73fce5ac0873abb44880a6480d7b011201b297 1056 cron_3.0pl1-107.dsc
 ee1385ec73ff4b16ce15549c941e1e1914889cd7e5879e447182d878435ba2d8 74117 cron_3.0pl1-107.diff.gz
 0ebd679cfde54b3ef49a60fe15424537e2cc4efe89d0f2db3da4b3d4da9d2eb0 83812 cron_3.0pl1-107_i386.deb
Files: 
 895ceb0fa979411f695a34dc1ef77e9c 1056 admin important cron_3.0pl1-107.dsc
 aa2a6cf3f76b5007a09c161e21a47be8 74117 admin important cron_3.0pl1-107.diff.gz
 d614718f22e298c3686d05b0e1b588f6 83812 admin important cron_3.0pl1-107_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLoBQysandgtyBSwkRAjIYAJ9b+ngZfuPvxZGonkfrHXeRuZvNYwCeIRCj
NZqSng1whK9qWhlWwsYjU2g=
=/PuJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Apr 2010 07:39:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:21:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.